/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentupload
#define headerfilecmslucontentupload

#include "functionbase.h"



namespace Fun
{


class Upload : public FunctionBase
{
public:

	Upload();
	bool HasAccess();
	void MakePost();

private:

	std::wstring path, path_thumb;
	std::string patha, path_thumba;

	bool HasAccess(const Item & item);
	void CreateThumbnail(const Item & item);
	bool UploadSaveStaticFile(const Item & item, const std::wstring & tmp_filename);
	bool FunUploadCheckAbuse();
	void UploadFile(Item & item, const std::wstring & tmp_filename);
	void UploadMulti();
	void UploadSingle();
};


} // namespace

#endif
